Bug 1596143 - [v2v] vm name with punycode international characters fails while migration
Summary: [v2v] vm name with punycode international characters fails while migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 10:12 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:03 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
punycode_automation.log (200.33 KB, text/plain)
2018-06-28 10:12 UTC, Yadnyawalk Tale
no flags Details
success_5.9.4.3.png (70.91 KB, image/png)
2018-08-09 12:40 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ/miq_v2v_ui_plugin#447 None None None 2018-06-28 17:26:25 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:25 UTC

Description Yadnyawalk Tale 2018-06-28 10:12:59 UTC
Created attachment 1455230 [details]
punycode_automation.log

Description of problem:
This is extended version of BZ1588555, I tried to migrate vm with vmname `ytale-v2v-ubuntu-nfs-punycode-джум-ññ` and it failed to migrate. 

Version-Release number of selected component (if applicable):
master.20180625230012_9b5c751 

How reproducible:
100%

Steps to Reproduce:
1. Try to migrate vm with punycode characters in their name
(Infra mapping was normal, for datastores I used nfs at source and nfs at target, I don't think it is matter of datastore)

Actual results:
Error while migrating vm

Expected results:
VM name with punycode characters should also be get migrated

Additional info:
Automation.log attached.

Comment 2 Sudhir Mallamprabhakara 2018-06-28 15:38:48 UTC
Please attach migration.log

Comment 3 Yadnyawalk Tale 2018-06-28 15:43:02 UTC
Created attachment 1455376 [details]
migration.log

Comment 6 Sudhir Mallamprabhakara 2018-06-28 17:24:02 UTC
Found in 5.9.3.3

Comment 7 Richard W.M. Jones 2018-06-28 18:06:36 UTC
What's interesting is that virt-v2v is up and running.  It appears
that the wrapper is reading the logs from virt-v2v and the wrapper
hits the parse error noted by KK.

Does the wrapper or Python expect that the output of virt-v2v
(especially debugging output) is always going to contain valid
UTF-8?  I'm afraid that's not a valid assumption.  Debug messages
will print all kinds of internal strings, and some of these won't
be well-formed UTF-8 (or necessarily any encoding).

Comment 9 Tomáš Golembiovský 2018-07-31 14:44:22 UTC
This has been fixed in wrapper and will be available in next build

Comment 10 Tomáš Golembiovský 2018-08-01 11:23:17 UTC
Fixed in wrapper. Build: ovirt-ansible-v2v-conversion-host-1.6.0-1.el7ev

Comment 11 Brett Thurber 2018-08-08 14:24:33 UTC
@Ytale can you verify with 4.2.6 preview?

Comment 12 Yadnyawalk Tale 2018-08-09 12:40:22 UTC
Created attachment 1474668 [details]
success_5.9.4.3.png

@Brett, checked on 4.6.2's appliance (assuming comment #11 as a typo).
Used vm name `ytale-v2v-طدЩыǪἀ-джум-简体中文-日本語-pê-añ-ça` with following requirements.

cfme: 5.9.4.3.20180808144238_a20955a 
vcenter: 6.5
rhvm: 4.2.5.2-0.1.el7ev
wrapper: ovirt-ansible-v2v-conversion-host-1.5.0-1.el7ev.noarch

Able to to migrate vm successfully.

Comment 13 Tomáš Golembiovský 2018-08-09 12:58:08 UTC
(In reply to Yadnyawalk Tale from comment #12)
> wrapper: ovirt-ansible-v2v-conversion-host-1.5.0-1.el7ev.noarch
> 
> Able to to migrate vm successfully.

This is rather intersting. Fixed wrapper is in version 1.6.0.

Comment 14 Tomáš Golembiovský 2018-08-09 13:31:24 UTC
Ok, I realized why it did work. There are two different potential issues at play here.

1) the VM name contains special characters
2) the disk path of the disk in VM contains special characters

Normally, the disk paths are based on VM name so the two issues may seamingly become one issues. But they are really two different problems. To my knowledge 1) was never a problem with the wrapper, but the 2) caused the migration to fail in wrapper. Also, 2) has that fix in 1.6.0 and is tracked by bug 1581739.

I'm not sure whether this particular bug should be about 1) or 2) or both... you decide.

Comment 15 Yadnyawalk Tale 2018-10-03 12:40:13 UTC
Fixed! Vm name with internationalization characters (punycodes) works well with patch.

Verified with:
Wrapper - ovirt-ansible-v2v-conversion-host-1.6.3-1.el7ev
CFME - 5.10.0.17.20180927011235_1b5cf54
vSphere - 6.7.0
RHV - 4.2.6.4-0.1.el7ev

Comment 16 Yadnyawalk Tale 2018-10-03 13:49:47 UTC
This issue was intentionally opened for punycode thing and not for special characters. I did checked special characters thing while checking punycode and it failed.

More info related to special char will be on
https://github.com/ManageIQ/manageiq-v2v/issues/477
https://bugzilla.redhat.com/show_bug.cgi?id=1598088

Thanks!

Comment 17 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.